Submit bank check details for action

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to initiate a Bank Account Verification based on the provided applicant data for a specific applicant action.

📘

Note

Currently, this method is available only for South Africa Bank Account Verification (zaf_gov_bav).

Request examples

curl -X POST \
     'https://api.sumsub.com/resources/applicantActions/6a0da506e6bc596440b00000/ekyc/submit' \
     -H 'Content-Type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
           "idDoc": {
             "country": "ZAF",
             "lastName": "Doe",
             "idDocType": "OTHER",
             "bankAccount": {
               "accountDocType": "ID_CARD",
               "accountDocNumber": "9912306001080",
               "accountNumber": "1234567890",
               "bankName": "FNB"
             }
           }
         }'
curl -X POST \
     'https://api.sumsub.com/resources/applicantActions/6a0da506e6bc596440b13294/ekyc/submit' \
     -H 'Content-Type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
           "idDoc": {
             "country": "ZAF",
             "lastName": "Doe",
             "idDocType": "OTHER",
             "bankAccount": {
               "accountDocType": "PASSPORT",
               "accountDocNumber": "567890123",
               "accountNumber": "1234567890",
               "bankName": "FNB"
             }
           }
         }'

Response explained

The following table describes the response structure:

FieldTypeOptionalDescription
statusStringNoVerification status:
  • completed — submission completed.

Response examples

If the request is successfully sent and processed, you can get one of the following responses.

Provided data is valid

{
  "status" : "completed"
}

Provided data is invalid or didn't pass the check

{
  "code": 409,
  "correlationId": "a158690cbbb5cff7ee5d8e3d16920865",
  "errorCode": 9107,
  "errorName": "violations-found",
  "description": "Violations found"
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "code": 404,
  "correlationId": "95c14ae6fa745e59664ae2e7d9265160",
  "description": "HTTP 404 Not Found"
}

Path Params
string
required

Unique applicant action identifier in the Sumsub system.

You can get this identifier in response to action submission or by calling this method.

Body Params
idDoc
object
required

Document data.

Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!